<?php
/* @Licence Fontaine Picard
	FIX 2015/11/11  F.Kieffer : conversion des mysql_... en mysqli_... pour des raisons de compatibilité avec les nouvelles versions de php.
*/
function AfficherEcranErreur($msg="Erreur"){
?><!doctype html><html lang="fr">
	<head>
		<meta charset="utf-8">
		<title>Banque SIG</title>
		<link rel="stylesheet" content="text/css" href="style_BSIG.css" />
	</head>
	<body>
		<p><?php echo $msg; ?></p>
	</body></html>
<?php	
}
function connexion(){
	
	// PARAMETRES DE CONNEXION A ADAPTER AU CONTEXTE
		$serveur ="localhost"; 	// adresse IP ou nom de domaine du serveur MySQL de bases de données
		$utilisateur = "root";	// nom d'un utilisateur de la base ayant les droits adéquats
		$mot_passe = "";		// mot de passe de cet utilisateur
		$base = "";	// nom de la base de données
	
	// l'arobase empêche l'éventuel message d'erreur par défaut de s'afficher (pas utile ici puis qu'on récupère l'erreur dans la variable.)
	$connexion_id = mysqli_connect($serveur,$utilisateur,$mot_passe); // connexion au serveur de données
	if(!$connexion_id){
		AfficherEcranErreur("Désolé, il y a une erreur de connexion au serveur !");
		exit(0);
	}else{
		$base_id = @mysqli_select_db($connexion_id, $base); // sélection de la base de données
		if(!$base_id){
			AfficherEcranErreur("Désolé, il y a une erreur de connexion à la base de données !");
			@mysqli_close($connexion_id) ;
			exit(0);
		}
		mysqli_set_charset($connexion_id, 'utf8');
	}
	return $connexion_id;
}