-- script de cration des tables de la base de donnes banquesig
--
-- FK : 2015/01/11
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

-- --------------------------------------------------------
-- Crer et utiliser la base en UTF8
--
CREATE DATABASE IF NOT EXISTS `banquesig` ;
USE `banquesig` ;
SET NAMES UTF8 ;

-- --------------------------------------------------------
-- vider et supprimer les tables si possible
--

-- --------------------------------------------------------
-- Structure de la table `simulation`
--
CREATE TABLE IF NOT EXISTS `simulation`(
  `num` INT(11) NOT NULL AUTO_INCREMENT,
  `capital` FLOAT(7,2) NOT NULL,
  `duree` INT(2) NOT NULL,
  `taux` FLOAT(5,2) NOT NULL,
  `IP` VARCHAR(15) NOT NULL,
  `dateHeure` DATE NOT NULL,
  PRIMARY KEY (`num`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;
-- --------------------------------------------------------
-- Contenu par dfaut de la table `simulation`
--
-- CURDATE() retourne la date d'aujourd'hui
-- DATE_SUB(CURDATE(), INTERVAL 15 DAY) cette formule permet de soustraire 15 jours  la date d'aujourd'hui
--

-- DELETE FROM `simulation` ;
INSERT INTO `simulation` (`capital`, `duree`, `taux`, `IP`, `dateHeure`) VALUES
(15000, 2, 6.00, '127.0.0.1', DATE_SUB(CURDATE(), INTERVAL 15 DAY)),
(15000, 3, 6.00, '127.0.0.1', DATE_SUB(CURDATE(), INTERVAL 15 DAY));
