<?php
// section PHP liaitant sur le serveur les données en provenance du formulaire de simulation

// récupération des valeurs en provenance du formulaire :
	//  - transmises par la méthode POST
	//  - affectée à des variables (dont les labellés sont obligatoirement préfixés par des $)
	$capital = $_POST['capital'];
	$dureeAns = $_POST['duree'];
	$tauxAnnuel = $_POST['taux'];
	$mensualite = $_POST['mensualite'];
			
// calcul de la durée en mois et du taux d'intérêt mensuel, nécessaires aux calculs
	$dureeMois = $dureeAns * 12;
	$tauxMensuel = $tauxAnnuel/12/100;

// Si la variable du capital est vide, c'est la valeur manquante à calculer (la formule de calcul n'a pas à être comprise)			
	if(empty($capital)==True){
		$capital = round($mensualite*((1-pow((1+$tauxMensuel),-$dureeMois)))/$tauxMensuel,2);
	}
			
// si la variable de durée est vide, c'est la valeur manquante à calculer (la formule de calcul n'a pas à être comprise)
	if(empty($dureeAns)==True){
		$dureeMois = - (log(1-($capital*$tauxMensuel)/$mensualite)/log(1+$tauxMensuel));
		$dureeAns = round($dureeMois / 12,0);
	}

// si la variable de mensualité est vide, c'est la valeur manquante à calculer (la formule de calcul n'a pas à être comprise)
	if(empty($mensualite)==True){
		$mensualite = round(($capital*($tauxMensuel/(1-pow((1+$tauxMensuel),-$dureeMois)))),2);
	}
	
// DEBUT du calcul du total des versements et du coût de l'emprunt ... 
	// COMPLETER ci-dessous
	
// FIN du calcul

//include("enregistrement.php");	// A DECOMMENTER à l'étape 5
	
// ----------------------------------------------------------------------------------- 
// Affichage
// ----------------------------------------------------------------------------------- 
$capital2= number_format($capital, 2, ',', ' '); 		// Pour afficher un format à 2 décimales et séparateur de milliers
$mensualite2= number_format($mensualite, 2, ',', ' '); 	// Pour afficher un format à 2 décimales et séparateur de milliers

?>
<!doctype html>
<html lang="fr">
<head>
	<meta charset="utf-8">
	<title>SIG</title>
	<link rel="stylesheet" href="stylesSIG.css" />
</head>
<body>
<div id="page">
	<header id=pageHeader><div id="logo"></div><h1>Banque SIG</h1></header>
	<nav></nav>
	<section>
		<article id="affichePret">
			<!-- section HTML renvoyée au navigateur pour l'affichage des résultats -->
			<div class="form">
				<header>Prêt immobilier</header>
				<ul>
					<li><span class="label">Capital emprunté :</span>	<span class="result"><?php echo $capital2;?> €</span></li>
					<li><span class="label">Durée :</span>				<span class="result"><?php echo $dureeAns; ?> ans</span></li>
					<li><span class="label">Taux d'intérêt :</span>		<span class="result"><?php echo $tauxAnnuel; ?> %/an</span></li>
					<li><span class="label">Mensualité :</span>			<span class="result"><?php echo $mensualite2; ?> €</span></li>
					<li><span>&nbsp;</span></li>
					<!-- INSERER ICI LE CODE REPONDANT A LA QUESTION 12 -->
				</ul>
				<?php
					// ETAPE 4
				?>
			</div>
			<div class="tableauRemb">
			<?php
				// include("tableauRemb.php");	// A DECOMMENTER à l'étape 3
			?>
			</div>
			<p class="center retour"><a href="formPret.html">retour</a></p>
		</article>
	</section>
</div>
<footer id="piedDePage">&copy; FP+FK 2015</footer>
</body>
</html>
